#!/bin/zsh
if [ $# -ne 3 ]; then
  echo expecting 3 input arguments: "[atm/phy] [year] [mon]" >&2
  exit
fi

knd=$1
year=$2
mon=$3
exp=$(basename $PWD)

cmon=$(printf "%02d" $mon)
bs=${knd}_3d_${year}${cmon}
if [ ! -f ${bs}.nc ]; then
  ./make_yyyymm.sh $knd $year $mon
fi

bsn=${knd}_t64_${year}${cmon}
if [ ! -f ${bsn}.nc ]; then
  echo remap
  cdo -s remapdis,t64grid ${bs}.nc ${bsn}.nc
fi

bs=$bsn
bsn=${knd}_zm_${year}${cmon}
if [ ! -f ${bsn}.nc ]; then
  echo zonmean
  cdo -s zonmean ${bs}.nc ${bsn}.nc
fi

bs=$bsn
bsn=${knd}_zm_mm${year}${cmon}
if [ ! -f ${bsn}.nc ]; then
  echo timmean
  cdo -s timmean ${bs}.nc ${bsn}.nc
fi
