#!/bin/zsh
if [ $# -ne 3 ]; then
  echo expecting 3 input arguments: "[atm/phy] [year] [mon]" >&2
  exit
fi

this_dir="thisdir"
data_dir="datadir"
cd ${data_dir}


knd=$1
year=$2
mon=$3
#exp=$(basename $PWD)
exp="U20T4_revision_deepfalse"

cmon=$(printf "%02d" $mon)
bs=${knd}_3d_${year}${cmon}
if [ ! -f ${bs}.nc ]; then
  ${this_dir}/make_yyyymm.sh $knd $year $mon $exp
fi

bsn=${knd}_t64_${year}${cmon}
if [ ! -f ${bsn}.nc ]; then
  echo remap
  cdo -s remapdis,t64grid ${bs}.nc ${bsn}.nc
fi

bs=$bsn
bsn=${knd}_zm_${year}${cmon}
if [ ! -f ${bsn}.nc ]; then
  echo zonmean
  cdo -s zonmean ${bs}.nc ${bsn}.nc
fi

bs=$bsn
bsn=${knd}_zm_mm${year}${cmon}
if [ ! -f ${bsn}.nc ]; then
  echo timmean
  cdo -s timmean ${bs}.nc ${bsn}.nc
fi
