;
;
; ATTENTION: script has been run on mistral                                    
;
;script to create temperature difference plots for the months of January and July for ICON(UA) - ICON, and UA-ICON - ICON


;load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl" 
;load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl" 
;load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl" 

begin

var="ta"

;the inputfiles need to be zonal means of the time means of the desired years

;define the names for the inputfiles

; UA_ICON-ICON, January
infile          ="../UA-ICON/data/Fig9b_ta_zm_mm1980-1999_01_UA-LA_tm.nc"
infile_z        ="../UA-ICON/data/Fig9b_zm_mm1980-1999_01_UA-LA.nc"               
infile_tt       ="../UA-ICON/data/Fig9b_ta_zm_mm1980-1999_01_UA-LA_ttest.nc"
ua_01           =addfile(infile,"r")        
ua_z_01         =addfile(infile_z,"r")
ua_tt_01        =addfile(infile_tt,"r")
var_ua_01       =ua_01->ta(0,:,:,0)
zg_ua_01        =ua_z_01->zg(:,0,0)*0.001
tt_ua_01        =ua_tt_01->ta(0,:,:,0)
var_ua_01!0     = "height"      ; name the dimension
var_ua_01&height = zg_ua_01   ; assign the coordinate variable

var_ua_01@_FillValue = -999.999
var_ua_01 = where(tt_ua_01.eq.0, var_ua_01@_FillValue, var_ua_01)

; UA_ICON-ICON, July             
infile          ="../UA-ICON/data/Fig9d_ta_zm_mm1980-1999_07_UA-LA_tm.nc"
infile_z        ="../UA-ICON/data/Fig9d_zm_mm1980-1999_07_UA-LA.nc"               
infile_tt       ="../UA-ICON/data/Fig9d_ta_zm_mm1980-1999_07_UA-LA_ttest.nc"
ua_07           =addfile(infile,"r")                         
ua_z_07         =addfile(infile_z,"r")
ua_tt_07        =addfile(infile_tt,"r")
var_ua_07       =ua_07->ta(0,:,:,0)
zg_ua_07        =ua_z_07->zg(:,0,0)*0.001
tt_ua_07        =ua_tt_07->ta(0,:,:,0)
var_ua_07!0   = "height"      ; name the dimension
var_ua_07&height = zg_ua_07   ; assign the coordinate variable

var_ua_07@_FillValue = -999.999
var_ua_07 = where(tt_ua_07.eq.0, var_ua_07@_FillValue, var_ua_07)

; ICON(UA)-ICON, January 
infile          ="../ICON_UA/data/Fig9a_ta_zm_mm1980-1999_01_UA-LA_tm.nc"
infile_z        ="../UA-ICON/data/Fig9b_zm_mm1980-1999_01_UA-LA.nc"              
infile_tt       ="../ICON_UA/data/Fig9a_ta_zm_mm1980-1999_01_UA-LA_ttest.nc"
la_01           =addfile(infile,"r")
la_z_01         =addfile(infile_z,"r")
la_tt_01        =addfile(infile_tt,"r")
var_la_01       =la_01->ta(0,:,:,0)
zg_la_01        =la_z_01->zg(:,0,0)*0.001
tt_la_01        =la_tt_01->ta(0,:,:,0)
var_la_01!0     = "height"      ; name the dimension
var_la_01&height = zg_la_01   ; assign the coordinate variable

var_la_01@_FillValue = -999.999
var_la_01 = where(tt_la_01.eq.0, var_la_01@_FillValue, var_la_01)

; ICON(UA)-ICON, July  
infile          ="../ICON_UA/data/Fig9c_ta_zm_mm1980-1999_07_UA-LA_tm.nc"
infile_z        ="../UA-ICON/data/Fig9d_zm_mm1980-1999_07_UA-LA.nc" 
infile_tt       ="../ICON_UA/data/Fig9c_ta_zm_mm1980-1999_07_UA-LA_ttest.nc"
la_07           =addfile(infile,"r")
la_z_07         =addfile(infile_z,"r")
la_tt_07        =addfile(infile_tt,"r")
var_la_07       =la_07->ta(0,:,:,0)
zg_la_07        =la_z_07->zg(:,0,0)*0.001
tt_la_07        =la_tt_07->ta(0,:,:,0)
var_la_07!0   = "height"      ; name the dimension
var_la_07&height = zg_la_07   ; assign the coordinate variable

var_la_07@_FillValue = -999.999
var_la_07 = where(tt_la_07.eq.0, var_la_07@_FillValue, var_la_07)


;************************************************
; create plot
;************************************************

wks = gsn_open_wks("pdf","./diff_t_2x2")              ; send graphics to PNG file
plot_a = new(4,graphic)                                   ; create a plot array


;define joint plot characteristics

res              = True                         ; plot mods desired
res@gsnDraw      = False                        ; don't draw yet
res@gsnFrame     = False                        ; don't advance frame yet
res@cnLevelSelectionMode = "ExplicitLevels"                     ; set explicit contour levels
res@cnLevels    = (/ -50., -20., -10., -5., -2., -1., 0., 1., 2., 5., 10., 20., 50./)
res@cnLineLabelsOn       = True                 ; turn on line labels
res@cnFillOn             = True                 ; turn on color fill
res@cnFillPalette        = "temp_diff_18lev"
res@trYMinF           = 0.
res@trYMaxF           = 80.
res@gsnYAxisIrregular2Linear = True 
res@gsnLeftString   = ""
res@gsnRightString   = ""
res@tiYAxisOffsetXF = 0.010
res@tiXAxisOffsetYF = 0.005
res@tiXAxisString   = "Latitude"
res@tiYAxisString   = "Height (km)"
res@lbLabelBarOn        = False              ; turn off individual cb's
res@cnInfoLabelOn       = False              ; turn off cn info label
res@tiMainOffsetYF      = -0.005             ; displace main titles vertically

;;;;;
;plot
;;;;;

; ICON(UA)-ICON, January
res@tiMainString    = "ICON(UA) - ICON, January"
plot_a(0)   = gsn_csm_contour(wks,var_la_01,res)

; ICON(UA)-ICON, July
res@tiMainString    = "ICON(UA) - ICON, July"        
plot_a(2)   = gsn_csm_contour(wks,var_la_07,res)

; UA-ICON-ICON, January
res@tiMainString    = "UA-ICON - ICON, January"
plot_a(1)   = gsn_csm_contour(wks,var_ua_01,res)

; UA-ICON-ICON, July
res@tiMainString    = "UA-ICON - ICON, July"       
plot_a(3)   = gsn_csm_contour(wks,var_ua_07,res)



;*******************************************
;  create panel resources
;*******************************************
 pres                  = True                ; mods desired
 pres@gsnFrame         = False               ; save panel until both ready
 pres@gsnPanelLabelBar = True                ; commom label bar
 pres@lbOrientation =   "vertical" 
 pres@lbTitleString    = "T(K)"              ; title string
 pres@lbTitlePosition  = "Bottom"
 pres@lbTitleFontHeightF= .018               ; make title smaller

 gsn_panel(wks,plot_a,(/2,2/),pres)          ; create panel

frame(wks)

end
