;****************************************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/contrib/cd_string.ncl"
;****************************************************************************

begin

; Plot the surface pressure for model day 8 and day 10, respectively,
; for a simulation on the grid R3B4L30. 

filename_a = "Fig6ab_JW_test_case_R3B4L30_pres_sfc.nc"   ;grid R3B4L30
;filename_a = "Fig6cd_JW_test_case_R3B5L30_pres_sfc.nc"   ;grid R3B5L30
;filename_a = "Fig6ef_JW_test_case_R3B6L30_pres_sfc.nc"   ;grid R3B6L30

File_a = addfile( filename_a, "r" )

p_msl_a = File_a->pres_sfc(:,:,:) ; dims: (time, lat, lon)

p_msl_a = p_msl_a/100.

p_msl_a@units = "hPa"

p_msl_a@long_name = "Surface pressure"


wks = gsn_open_wks("png","figure_day08")
;wks = gsn_open_wks("png","figure_day10")

gsn_define_colormap(wks,"cosam")
ResC                      = True
ResC@cnFillOn             = True             ; do color fill
ResC@cnFillMode           = "areafill" 
ResC@cnLinesOn            = True             ; contour lines
ResC@cnLineThicknessF     = 1.0              ; contour line thickness
ResC@mpMinLatF            = 0.0
ResC@mpMaxLatF            = 90.0
ResC@mpMinLonF            = 0.0
ResC@mpMaxLonF            = 240.0
ResC@mpCenterLonF         = 120.0
ResC@mpOutlineBoundarySets = "NoBoundaries"
ResC@gsnCenterString      = "Day 8"
;ResC@gsnCenterString      = "Day 10"
ResC@tmYLTickSpacingF     = 30.0
ResC@tmYLMinorPerMajor    = 3.0
ResC@tmYLLabelFontHeightF = 0.019
ResC@tmXBTickSpacingF     = 60.0
ResC@tmXBMinorValues      = (/30., 90.,150.,210./)
ResC@tmXBLabelFontHeightF = 0.019
ResC@lbLabelFontHeightF   = 0.025
ResC@pmLabelBarOrthogonalPosF = 0.16
ResC@cnLevelSelectionMode = "ExplicitLevels" ;  manually set the contour levels
ResC@cnLevels  = (/930.,940.,950.,960.,970.,980.,990.,1000.,1010.,1020./) ;day8
;ResC@cnLevels  = (/890.,900.,910.,920.,930.,940.,950.,960.,970.,980.,990.,1000.,1010.,1020./) ;day10
ResC@gsnDraw              = False                    ; Turn off draw and frame so
ResC@gsnFrame             = False                    ; we can attach some text.

plot = gsn_csm_contour_map(wks,p_msl_a(0,:,:),ResC)  ;day8
;plot = gsn_csm_contour_map(wks,p_msl_a(1,:,:),ResC)  ;day10

txres                       = True
txres@txPerimOn             = True
txres@txBackgroundFillColor = "Transparent"
txres@txFontHeightF         = 0.02

txid = gsn_create_text(wks, "R3B4L30", txres)  ;grid R3B4L30
;txid = gsn_create_text(wks, "R3B5L30", txres)  ;grid R3B5L30
;txid = gsn_create_text(wks, "R3B6L30", txres)  ;grid R3B6L30

amres = True
amres@amParallelPosF   = 0.41    ; This is the right edge of the plot.
;amres@amParallelPosF   = 0.4     ; This is the right edge of the plot. ;grid R3B5L120
amres@amOrthogonalPosF = -0.4    ; This is the bottom edge of the plot.

annoid = gsn_add_annotation(plot, txid, amres)

draw(plot)
frame(wks)

end
