;***********************************************

load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"  
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"  
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"  
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"  

;************************************************
begin

; Compute L2 and Lmax norm for the pressure perturbation field 
; at a height-longitude cross section at the equator 
; and at time 60 s.

datafilename = "Fig5a_sound_wave_test_case_R2B5L90_rotation_off.nc"    ;grid R2B5L90 without rotation
;datafilename = "Fig5a_sound_wave_test_case_R3B5L136_rotation_off.nc"   ;grid R3B5L136 without rotation
;datafilename = "Fig4ac_Fig5a_sound_wave_test_case_R2B6L180_rotation_off.nc"   ;grid R2B6L180 without rotation
;datafilename = "Fig5a_sound_wave_test_case_R3B6L277_rotation_off.nc"   ;grid R3B6L277 without rotation
;datafilename = "Fig4a_Fig5a_sound_wave_test_case_R2B7L360_rotation_off.nc"   ;grid R2B7L360 without rotation
;datafilename = "Fig5b_sound_wave_test_case_R2B5L90_rotation_on.nc"     ;grid R2B5L90 with rotation
;datafilename = "Fig5b_sound_wave_test_case_R3B5L136_rotation_on.nc"    ;grid R3B5L136 with rotation
;datafilename = "Fig4bd_Fig5b_sound_wave_test_case_R2B6L180_rotation_on.nc"    ;grid R2B6L180 with rotation
;datafilename = "Fig5b_sound_wave_test_case_R3B6L277_rotation_on.nc"    ;grid R3B6L277 with rotation
;datafilename = "Fig4b_Fig5b_sound_wave_test_case_R2B7L360_rotation_on.nc"    ;grid R2B7L360 with rotation

datafile = addfile(datafilename, "r")

; var  -> numerical pressure difference
; var2 -> analytical pressure difference
; time = 10 -> here, this means 60 s after initialization
var   = datafile->extra_3d1(0,:,0,:) ; Dims: (time,height,lat,lon)
var2  = datafile->extra_3d2(0,:,0,:) ; Dims: (time,height,lat,lon)

dvar2 = (var2-var)*(var2-var) 

dvar2_avg = avg(dvar2) 
dvar_avg  = sqrt(dvar2_avg)

dvar_max = max(abs(var2-var))

print("Norm L2: "+dvar_avg)  
print("Norm Lmax: "+dvar_max)		

end
